ServerEvents.recipes(event => {
//Meat Conversions
  event.shapeless(
    Item.of('alexsdelight:raw_bison', 1),
    [
        '1x untameddelight:bison_meat'
    ]
  ),

  event.shapeless(
    Item.of('untameddelight:bison_meat', 1),
    [
        '1x alexsdelight:raw_bison'
    ]
  ),
//Blood Conversions
  event.shapeless(
    Item.of('irons_spellbooks:blood_vial', 1),
    [
        '1x hexerei:blood_bottle'
    ]
  ),
  event.shapeless(
    Item.of('hexerei:blood_bottle', 1),
    [
        '1x irons_spellbooks:blood_vial'
    ]
  ),
//Hoglin Hide Conversions
  event.shapeless(
    Item.of('cold_sweat:hoglin_hide', 5),
    [
      'nethersdelight:hoglin_hide'
    ]
  ),
  event.shapeless(
    Item.of('nethersdelight:hoglin_hide', 1),
    [
      '5x cold_sweat:hoglin_hide'
    ]
  ),
//Leather -> Hoglin Hide
  event.shapeless(
    Item.of('cold_sweat:hoglin_hide', 1),
    [
      'minecraft:leather'
    ]
  ),
//Wool -> Goat Fur
  event.shapeless(
    Item.of('cold_sweat:goat_fur', 1),
    [
      'minecraft:white_wool'
    ]
  ),
//Black Dye -> Ink
  event.shapeless(
    Item.of('minecraft:ink_sac', 1),
    [
        '2x minecraft:black_dye'
    ]
  ),

//Floorboard <-> Legacy Floorboards
  event.shapeless(
    Item.of('kubejs:legacy_floorboards', 1),
    [
      'candlelight:floorboard'
    ]
  ),
  event.shapeless(
    Item.of('candlelight:floorboard', 1),
    [
      'kubejs:legacy_floorboards'
    ]
  ),

//Glowstone <-> Legacy Glowstone
  event.shapeless(
    Item.of('kubejs:legacy_glowstone', 1),
    [
      'minecraft:glowstone'
    ]
  ),
  event.shapeless(
    Item.of('minecraft:glowstone', 1),
    [
      'kubejs:legacy_glowstone'
    ]
  ),

//Scoria <-> Legacy Scoria
  event.shapeless(
    Item.of('kubejs:legacy_scoria', 1),
    [
      'create:scoria'
    ]
  ),
  event.shapeless(
    Item.of('create:scoria', 1),
    [
      'kubejs:legacy_scoria'
    ]
  ),

//Limestone <-> Alt Limestone
  event.shapeless(
    Item.of('kubejs:alt_limestone', 1),
    [
      'create:limestone'
    ]
  ),
  event.shapeless(
    Item.of('create:limestone', 1),
    [
      'kubejs:alt_limestone'
    ]
  ),

//Heavy Oil <-> Crude Oil
  event.shapeless(
    Item.of('crusty_chunks:oil_bucket', 1),
    [
      'tfmg:heavy_oil_bucket'
    ]
  ),

  event.shapeless(
    Item.of('tfmg:heavy_oil_bucket', 1),
    [
      'crusty_chunks:oil_bucket'
    ]
  ),

//Diesel <-> Diesel
  event.shapeless(
    Item.of('crusty_chunks:diesel_bucket', 1),
    [
      'tfmg:diesel_bucket'
    ]
  ),

  event.shapeless(
    Item.of('tfmg:diesel_bucket', 1),
    [
      'crusty_chunks:diesel_bucket'
    ]
  ),

//Kerosene <-> Kerosene
  event.shapeless(
    Item.of('crusty_chunks:kerosene_bucket', 1),
    [
      'tfmg:kerosene_bucket'
    ]
  ),

  event.shapeless(
    Item.of('tfmg:kerosene_bucket', 1),
    [
      'crusty_chunks:kerosene_bucket'
    ]
  ),

//Petroleum <-> Gasoline
  event.shapeless(
    Item.of('crusty_chunks:petrolium_bucket', 1),
    [
      'tfmg:gasoline_bucket'
    ]
  ),

  event.shapeless(
    Item.of('tfmg:gasoline_bucket', 1),
    [
      'crusty_chunks:petrolium_bucket'
    ]
  ),
  
  
//Steel Ingot Conversion
  event.shapeless(
    Item.of('crusty_chunks:steel_ingot', 1),
    [
      'tfmg:steel_ingot'
    ]
  ),
  event.shapeless(
    Item.of('tfmg:steel_ingot', 1),
    [
      'crusty_chunks:steel_ingot'
    ]
  ),
//Aluminum Conversion
  event.shapeless(
    Item.of('crusty_chunks:aluminum_ingot', 1),
    [
      'tfmg:aluminum_ingot'
    ]
  ),
  event.shapeless(
    Item.of('tfmg:aluminum_ingot', 1),
    [
      'crusty_chunks:aluminum_ingot'
    ]
  )

})